> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit GRC Assessment

> Submit a GRC assessment for a given connection.



## OpenAPI

````yaml post /grc/assessments/response
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /grc/assessments/response:
    post:
      tags:
        - grc
        - assessments
      summary: Submit GRC Assessment
      description: Submit a GRC assessment for a given connection.
      operationId: submit_grc_assessment
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssessmentResponseModel'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResponseModel'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    AssessmentResponseModel:
      properties:
        action:
          type: string
          enum:
            - SUBMIT
            - SAVE
          title: Action
          description: Action to perform
          default: SAVE
        assessment_id:
          type: string
          title: Assessment Id
          description: Assessment ID
        response:
          items:
            $ref: '#/components/schemas/QuestionResponse'
          type: array
          title: Response
          description: List of question responses
      type: object
      required:
        - assessment_id
        - response
      title: AssessmentResponseModel
    JobResponseModel:
      properties:
        job_id:
          type: string
          title: Job Id
          description: Job ID for tracking async operation status
      type: object
      required:
        - job_id
      title: JobResponseModel
      description: Response model for job creation endpoints that return a job ID.
    ErrorException:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorException
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    QuestionResponse:
      properties:
        question_id:
          type: string
          title: Question Id
        response:
          anyOf:
            - type: string
            - type: 'null'
          title: Response
      type: object
      required:
        - question_id
      title: QuestionResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````